'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; /**
                                                                                                                                                                                                                                                                               * Created by timur on 2/20/17.
                                                                                                                                                                                                                                                                               */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _cuid = require('cuid');

var _cuid2 = _interopRequireDefault(_cuid);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dropdown = function Dropdown(_ref) {
  var dropup = _ref.dropup,
      children = _ref.children,
      title = _ref.title;


  var id = (0, _cuid2.default)();

  children = children || [];

  var dropdownItems = children.length > 1 ? children.map(function (item, i) {
    var _item$props = item.props,
        to = _item$props.to,
        href = _item$props.href;


    var dropdownItem = void 0;

    if (item.type === 'hr') {
      dropdownItem = _react2.default.createElement('li', {
        key: i,
        role: 'separator',
        className: 'divider'
      });
    } else if (to) {
      dropdownItem = _react2.default.createElement(
        'li',
        { key: i },
        _react2.default.createElement(
          _reactRouter.Link,
          { to: to },
          item
        )
      );
    } else {
      dropdownItem = _react2.default.createElement(
        'li',
        { key: i },
        _react2.default.createElement(
          'a',
          { href: href ? href : '#' },
          item
        )
      );
    }

    return dropdownItem;
  }) : children;

  console.log(typeof title === 'undefined' ? 'undefined' : _typeof(title));

  return _react2.default.createElement(
    'div',
    { className: dropup ? 'dropup' : 'dropdown' },
    _react2.default.createElement(
      'button',
      {
        className: 'btn btn-default dropdown-toggle',
        type: 'button',
        id: id,
        'data-toggle': 'dropdown',
        'aria-haspopup': 'true',
        'aria-expanded': 'true'
      },
      title,
      ' ',
      _react2.default.createElement('span', { className: 'caret' })
    ),
    _react2.default.createElement(
      'ul',
      { className: 'dropdown-menu', 'aria-labelledby': id },
      dropdownItems
    )
  );
};
Dropdown.propTypes = {
  children: _react2.default.PropTypes.array.isRequired
};

exports.default = Dropdown;